Skip to main content
GET
List personal access tokens in a workspace
The organization bot token must have the following scopes:
  • personal-access-token:read
This endpoint returns personal access token (PAT) records, but never returns token values. Use the id from a result as the bot_id when you revoke the token.

Filter results

Use status to return active, expired, or revoked tokens. Use creator_ids to filter by the members who created the tokens, and use search to match a token name. Use bracket encoding to filter by more than one status or creator:
To learn how PATs work and how members create them, see Personal access tokens.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

Notion-Version
enum<string>
required

The Admin API version to use for this request.

Available options:
2026-06-01

Path Parameters

space_id
string<uuid>
required

Query Parameters

creator_ids

IDs of members who created the tokens. Use bracket encoding for multiple values.

cursor
string

Cursor returned by the previous page.

page_size
string

Number of results to return. Defaults to 100 and cannot exceed 100.

Case-insensitive text to match against the token name.

status

Token statuses to include. Use bracket encoding for multiple values.

Current status of a personal access token.

Available options:
active,
expired,
revoked

Response

has_more
boolean
required

Whether another page is available.

results
object[]
required

Personal access tokens in the workspace. Token values are never returned.

next_cursor
string

Cursor for the next page. Present only when 'has_more' is true.